<resources xmlns:tools="http://schemas.android.com/tools">
    <!-- Base application theme. -->
    <style name="Theme.Digident" parent="Theme.MaterialComponents.DayNight.NoActionBar">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/black</item>
        <item name="colorPrimaryVariant">@color/green_dark</item>
        <item name="colorOnPrimary">@color/white</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/green</item>
        <item name="colorSecondaryVariant">@color/green</item>
        <item name="colorOnSecondary">@color/green</item>
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
    </style>

    //==============================================================================================
    // Style Text View ...
    <style name="TextViewTitle" parent="Widget.AppCompat.TextView">
        <item name="android:textColor">@color/green_dark</item>
        <item name="android:textSize">@dimen/_14ssp</item>
        <item name="android:fontFamily">@font/ubuntu_regular</item>
    </style>

    <style name="TextViewSupTitle" parent="Widget.AppCompat.TextView">
        <item name="android:textColor">@color/green_dark</item>
        <item name="android:textSize">@dimen/_12ssp</item>
        <item name="android:fontFamily">@font/ubuntu_regular</item>
    </style>


    <style name="TextViewDescription" parent="Widget.AppCompat.TextView">
        <item name="android:textColor">@color/green_dark</item>
        <item name="android:textSize">@dimen/_10ssp</item>
        <item name="android:fontFamily">@font/ubuntu_regular</item>
    </style>

    <style name="TextViewTitleBold" parent="Widget.AppCompat.TextView">
        <item name="android:textColor">@color/green_dark</item>
        <item name="android:textSize">@dimen/_14ssp</item>
        <item name="android:fontFamily">@font/ubuntu_bold</item>
    </style>

    <style name="TextViewSupTitleBold" parent="Widget.AppCompat.TextView">
        <item name="android:textColor">@color/green_dark</item>
        <item name="android:textSize">@dimen/_12ssp</item>
        <item name="android:fontFamily">@font/ubuntu_bold</item>
    </style>


    <style name="TextViewDescriptionBold" parent="Widget.AppCompat.TextView">
        <item name="android:textColor">@color/green_dark</item>
        <item name="android:textSize">@dimen/_10ssp</item>
        <item name="android:fontFamily">@font/ubuntu_bold</item>
    </style>

    <style name="AppTitleTextView" parent="Widget.MaterialComponents.TextView">
        <item name="android:textSize">@dimen/_16sdp</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:fontFamily">@font/ubuntu_regular</item>
        <item name="android:background">@color/green</item>
        <item name="android:padding">@dimen/_8sdp</item>
        <item name="android:textAppearance">@style/TextAppearance.MaterialComponents.Headline6</item>
    </style>

    //==============================================================================================
    // Style Edit Text ...
    <style name="EditTextTextInputLayout" parent="Widget.MaterialComponents.TextInputLayout.OutlinedBox">
        <item name="boxStrokeWidthFocused">1dp</item>
        <item name="boxStrokeWidth">1dp</item>
        <item name="boxStrokeColor">@color/green_dark</item>
        <item name="boxCornerRadiusTopStart">@dimen/_10sdp</item>
        <item name="boxCornerRadiusTopEnd">@dimen/_10sdp</item>
        <item name="boxCornerRadiusBottomStart">@dimen/_10sdp</item>
        <item name="boxCornerRadiusBottomEnd">@dimen/_10sdp</item>
    </style>

    <style name="EditTextTextInputEditText">
        <item name="android:fontFamily">@font/ubuntu_regular</item>
    </style>


    //==============================================================================================
    // Style Button ...
    <style name="ButtonGreen">
        <item name="android:textColor">@color/white</item>
        <item name="android:textSize">@dimen/_12ssp</item>
        <item name="android:fontFamily">@font/ubuntu_regular</item>
        <item name="android:background">@drawable/selector_shape_small_rectangle_corner_green_to_pink</item>
    </style>


    //==============================================================================================
    // Image View ...
    <style name="ImageViewLogo">
        <item name="android:src">@drawable/ic_logo</item>
        <item name="android:scaleType">centerCrop</item>
        <item name="android:contentDescription">@string/image</item>
    </style>



</resources>